<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Referral\UseCase\AcceptInvite;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\ReferralModelInterface;

class AcceptInviteOutput
{
    /** @var ReferralModelInterface */
    private $referralModel;

    public function __construct(
        ReferralModelInterface $referralModel
    ) {
        $this->referralModel = $referralModel;
    }

    public function getReferralModel(): ReferralModelInterface
    {
        return $this->referralModel;
    }
}
